OpenZWave::ValueList Class Reference

List of values sent to/received from a node. More...

`#include <ValueList.h>`

Inheritance diagram for OpenZWave::ValueList:

## Classes

struct | Item
| An item (element) in the list of values. More...

## Public Member Functions

| ValueList (uint32 const _homeId, uint8 const _nodeId, ValueID::ValueGenre const _genre, uint8 const _commandClassId, uint8 const _instance, uint8 const _index, string const &_label, string const &_units, bool const _readOnly, bool const _writeOnly, vector< Item > const &_items, int32 const _valueIdx, uint8 const _pollIntensity, uint8 const _size=4)
| ValueList ()
virtual | ~ValueList ()
bool | SetByLabel (string const &_label)
bool | SetByValue (int32 const _value)
void | OnValueRefreshed (int32 const _valueIdx)
virtual string const | GetAsString () const
virtual bool | SetFromString (string const &_value)
virtual void | ReadXML (uint32 const _homeId, uint8 const _nodeId, uint8 const _commandClassId, TiXmlElement const *_valueElement)
virtual void | WriteXML (TiXmlElement *_valueElement)
Item const * | GetItem () const
int32 | GetItemIdxByLabel (string const &_label) const
int32 | GetItemIdxByValue (int32 const _value) const
bool | GetItemLabels (vector< string > *o_items)
bool | GetItemValues (vector< int32 > *o_values)
uint8 | GetSize () const
Public Member Functions inherited from OpenZWave::Value
| Value (uint32 const _homeId, uint8 const _nodeId, ValueID::ValueGenre const _genre, uint8 const _commandClassId, uint8 const _instance, uint8 const _index, ValueID::ValueType const _type, string const &_label, string const &_units, bool const _readOnly, bool const _writeOnly, bool const _isset, uint8 const _pollIntensity)
| Value ()
ValueID const & | GetID () const
bool | IsReadOnly () const
bool | IsWriteOnly () const
bool | IsSet () const
bool | IsPolled () const
string const & | GetLabel () const
void | SetLabel (string const &_label)
string const & | GetUnits () const
void | SetUnits (string const &_units)
string const & | GetHelp () const
void | SetHelp (string const &_help)
uint8 const & | GetPollIntensity () const
void | SetPollIntensity (uint8 const &_intensity)
int32 | GetMin () const
int32 | GetMax () const
void | SetChangeVerified (bool _verify)
bool | GetChangeVerified ()
bool | Set ()
Public Member Functions inherited from OpenZWave::Ref
| Ref ()
void | AddRef ()
int32 | Release ()

## Additional Inherited Members

Static Public Member Functions inherited from OpenZWave::Value
static ValueID::ValueGenre | GetGenreEnumFromName (char const *_name)
static char const * | GetGenreNameFromEnum (ValueID::ValueGenre _genre)
static ValueID::ValueType | GetTypeEnumFromName (char const *_name)
static char const * | GetTypeNameFromEnum (ValueID::ValueType _type)
Protected Member Functions inherited from OpenZWave::Value
virtual | ~Value ()
bool | IsCheckingChange () const
void | SetCheckingChange (bool _check)
void | OnValueRefreshed ()
void | OnValueChanged ()
int | VerifyRefreshedValue (void *_originalValue, void *_checkValue, void *_newValue, ValueID::ValueType _type, int _originalValueLength=0, int _checkValueLength=0, int _newValueLength=0)
Protected Member Functions inherited from OpenZWave::Ref
virtual | ~Ref ()
Protected Attributes inherited from OpenZWave::Value
int32 | m_min
int32 | m_max
time_t | m_refreshTime
bool | m_verifyChanges

## Detailed Description

List of values sent to/received from a node.

## Constructor & Destructor Documentation

## ValueList() [1/2]

ValueList::ValueList | ( | uint32 const | _homeId,
|  | uint8 const | _nodeId,
|  | ValueID::ValueGenre const | _genre,
|  | uint8 const | _commandClassId,
|  | uint8 const | _instance,
|  | uint8 const | _index,
|  | string const & | _label,
|  | string const & | _units,
|  | bool const | _readOnly,
|  | bool const | _writeOnly,
|  | vector< Item > const & | _items,
|  | int32 const | _valueIdx,
|  | uint8 const | _pollIntensity,
|  | uint8 const | _size = `4`
| ) |  |

## ValueList() [2/2]

ValueList::ValueList | ( |  | ) |

## ~ValueList()

virtual OpenZWave::ValueList::~ValueList | ( |  | ) |

inline virtual

## Member Function Documentation

## GetAsString()

virtual string const OpenZWave::ValueList::GetAsString | ( |  | ) | const

inline virtual

Reimplemented from OpenZWave::Value.

## GetItem()

ValueList::Item const * ValueList::GetItem | ( |  | ) | const

## GetItemIdxByLabel()

int32 ValueList::GetItemIdxByLabel | ( | string const & | _label | ) | const

## GetItemIdxByValue()

int32 ValueList::GetItemIdxByValue | ( | int32 const | _value | ) | const

## GetItemLabels()

bool ValueList::GetItemLabels | ( | vector< string > * | o_items | ) |

## GetItemValues()

bool ValueList::GetItemValues | ( | vector< int32 > * | o_values | ) |

## GetSize()

uint8 OpenZWave::ValueList::GetSize | ( |  | ) | const

inline

## OnValueRefreshed()

void ValueList::OnValueRefreshed | ( | int32 const | _valueIdx | ) |

## ReadXML()

void ValueList::ReadXML | ( | uint32 const | _homeId,
|  | uint8 const | _nodeId,
|  | uint8 const | _commandClassId,
|  | TiXmlElement const * | _valueElement
| ) |  |

virtual

Reimplemented from OpenZWave::Value.

## SetByLabel()

bool ValueList::SetByLabel | ( | string const & | _label | ) |

## SetByValue()

bool ValueList::SetByValue | ( | int32 const | _value | ) |

## SetFromString()

virtual bool OpenZWave::ValueList::SetFromString | ( | string const & | _value | ) |

inline virtual

Reimplemented from OpenZWave::Value.

## WriteXML()

void ValueList::WriteXML | ( | TiXmlElement * | _valueElement | ) |

virtual

Reimplemented from OpenZWave::Value.

The documentation for this class was generated from the following files:

- ValueList.h
- ValueList.cpp